body, html{
    margin:0;
    padding:0;
}

body {
	font-family: 'Montserrat'!important;
	min-height: 100vh;
	position: relative;
}

/* GENERAL */
.text-gray {
	color: #656565;
}

.text-ligthgray {
	color: #999;
}

.text-white {
	color: #ffffff;
}

.bg-lightgray {
	background-color: #dfdfdf;/*#f2f2f2;*/
}

.bg-darkgray {
	background-color: #656565;
}

.bg-darkergray {
	background-color: #444444;
}

.bg-white {
	background-color: #ffffff;
}

.one-line { white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }

.font-weight-300 {
	font-weight: 300;
}

.vertical-mid { vertical-align: middle; }

.position-absolute { position: absolute; }

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {color:inherit;}
div.h1, div.h2, div.h3, div.h4, div.h5, div.h6, h1, h2, h3, h4, h5, h6 { font-family: 'Montserrat';}

.font-weight-bold { font-weight: bold; }

.btn { font-family: 'Montserrat'!important; }

.b-dashed { border: dashed; }

input, select {
	border: none;
	outline: none;
	padding-left: 0.5rem;
	padding-right: 0.5rem;
	color: inherit;
	background-color: white;
}

select {
	-webkit-appearance:none;
}

select, select:hover, select:focus  {
	cursor: pointer;
	outline: none;
}

select{
	background-color: white;
	border: thin solid #ccc;
	border-radius: 3px;
	display: inline-block;

	/*reset*/
	margin: 0;      
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-appearance: none;
	-moz-appearance: none;

 	 background-image:
	    linear-gradient(135deg, white 50%, transparent 50%),
	    linear-gradient(45deg, transparent 50%, #fff 50%),
	    linear-gradient(to right, #ddd, #ddd);
  	background-position:
	    calc(100% - 1.5rem + 5px ) calc( 100% / 2),
	    calc(100% -  1.5rem ) calc( 100% / 2),
	    100% 0;
 	 background-size:
	    5px 5px,
	    5px 5px,
	    calc(2rem + 1rem) calc(100%);
  	background-repeat: no-repeat;

 	 outline-color: transparent;
 	 outline-style: none;
  	padding-right: 60px;
}
select:hover{
	background-image:
	    linear-gradient(135deg, white 50%, transparent 50%),
	    linear-gradient(45deg, transparent 50%, #fff 50%),
	    linear-gradient(to right, #ccc, #ccc);
    outline-color: transparent;
  	outline-style: none;
}
select:focus{
    outline-color: transparent;
  outline-style: none;
   -webkit-box-shadow: 0 0 0 transparent!important;
   box-shadow: none;
   border: thin solid #ccc;

}

select.select-darkgray {
	background-image: 
		linear-gradient(135deg, white 50%, transparent 50%), 
		linear-gradient(45deg, transparent 50%, #fff 50%), 
		linear-gradient(to right, #656565, #656565);
}

select.select-darkgray:hover{
	background-image: 
		linear-gradient(135deg, #ffffff 50%, transparent 50%), 
		linear-gradient(45deg, transparent 50%, #ffffff 50%), 
		linear-gradient(to right, #6dc234, #6dc234);
}

input.input-white-gray,
input:-webkit-autofill.input-white-gray,
input:-webkit-autofill:hover.input-white-gray, 
input:-webkit-autofill:focus.input-white-gray {
	-webkit-box-shadow: none;
	-webkit-text-fill-color: #656565;
	color: inherit!important;
	background-color: white!important;
}

/*input.btn-gray,
input:-webkit-autofill.btn-gray,
input:-webkit-autofill:hover.btn-gray, 
input:-webkit-autofill:focus.btn-gray {
	-webkit-box-shadow: none;
	-webkit-text-fill-color: white;
	color: inherit!important;
	background-color: #656565!important;
	padding: 1rem 1.5rem!important;
}*/

input.clear-input {
	background-color: transparent!important;
	border: none;
	outline: none;
	font-family: 'Montserrat';
}

.pointer {
	cursor: pointer;
}

.events-none {
	pointer-events: none;
}

.rotate-45 {
	transform: rotate(45deg);
}

.abs-top-right {
	position: absolute;
    right: 0;
    top: 0;
}

.cover-screen {
	position: fixed;
	width: 100vw;
	height: 100vh;
}

.overflow-y {
	overflow-y: overlay;
}

.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 2px;
  border-radius: 5px;  
  background: #999;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
  padding: 0!important;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  border-radius: 50%; 
  background: #656565;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: #656565;
  cursor: pointer;
}

.mb-2rem {
	margin-bottom: 2rem;
}

.m-2rem {
	margin: 2rem;
}

.i-0 { z-index: 0; }

.i-1 { z-index: 1; }

.i-2 { z-index: 2 }

.p-e-none {	pointer-events: none; }

.p-e-all { pointer-events: all; }

.text-0 { font-size: 0 }

a, a:hover{
	color: inherit;
	text-decoration: none;
}

.btn-gray {
	padding: 1rem 1.5rem!important;
	color: white!important;
	background: #656565;
}

.btn-lightgray {
	padding: 1rem 1.5rem!important;
	color: #656565!important;
	background: #dfdfdf;
}

.btn-white {
	padding: 1rem 1.5rem!important;
	color: #656565!important;
	background: white;
}

.fill-height {
	min-height: -webkit-fill-available;
}

/*menu*/
.bg-primary {
	background-color: #dfdfdf! important;
}

.navbar {
	box-shadow: none;
}

.navbar-inverse .navbar-toggler,  .navbar-inverse .navbar-nav .nav-link{
	color: #656565;
	font-family: "Montserrat";
	text-transform: none;
	font-size: 1rem;
	font-weight: 300;
}

.navbar-inverse .navbar-nav .nav-link.active, .navbar-inverse .navbar-nav .nav-link:hover {
	font-weight: bold;
	color: #656565;
	background-color: #dfdfdf;
}

.navbar-inverse .navbar-toggler-icon, .navbar-inverse .navbar-toggler-icon:before, .navbar-inverse .navbar-toggler-icon:after {
	background-color: black;
	/*color:black;*/
}

.navbar-brand img {
	max-height: 4rem;
}

/* CONTROL PANEL */
#control-panel {
	font-size: 0;
}

#control-panel-sidebar {
	pointer-events: none;
	position: absolute;
	left: 0;
	background-color: #ffffff00;
	overflow-y: auto; 
	font-size: 1rem; 
	vertical-align: top; 
	width: 25%; 
	height: 100vh; 
	display: inline-block;
	padding: 1.5rem;
	z-index: 5;
}

#bottom-menu {
	position: absolute;
	bottom: 0;
	z-index: 5;
	width: 100%;
	text-align: center;
}

#contextual-menu {
	position: absolute;
	right: 0;
	background-color: #65656535;
	overflow-y: auto; 
	font-size: 1rem; 
	vertical-align: top; 
	width: 25%; 
	height: 100vh; 
	display: inline-block;
	padding: 0.5rem 1.5rem;
	z-index: 5;
}

.contextual-title {
	margin: 0.5rem -1rem;
    padding: 0.5rem 1rem;
    text-align: center;
    background-color: #656565;
    color: white;
}

.editing-element {
	background-color: #17C68A!important;
}

#match-container, #option-container, #part-container {
	min-height: 4rem;
	position: relative;
}

#match-container span, #option-container span, #part-container span {
	position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.match-list-element, .option-list-element, .part-list-element {
	border-bottom: 1px solid;
	margin-top: 5px!important;
	cursor: grab;
}

.part-list-element .col {
	overflow: hidden;
}

#element-control-panel { 
	position: relative;
	width: 100%; 
	height: 100vh; 
	background-color: white; 
	display: inline-block;
}

#control-panel-settings {
	position: relative;
}

#control-panel-settings hr {
	border-top: 2px solid #999;
}

[contenteditable=true]:empty:before{
  content: attr(placeholder);
  display: inline-block;
  font-weight: bold;
  outline: none;
  white-space: nowrap;
}

div[contenteditable=true] {
  display: inline-block;
  font-weight: bold;
  outline: none;
  white-space: nowrap;
}

div[contenteditable=true] br{
  display: none;
}

#prompt-input, #prompt-input::placeholder{
	text-decoration: underline;
	outline: none;
}
#prompt-input::placeholder {color: white; opacity: 0.5;}

/* PRODUCT CONFIGURATOR */
#loading-modal {
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000000aa;
    z-index: 99999;
    text-align: center;
}

#loading-modal i {
	position: absolute;
    top: 47.5%;
    left: 47.5%;
}

#sidebar-configurator {
	position: absolute;
	left: 0;
	background-color: #ffffff00;
	overflow-y: auto; 
	font-size: 1rem; 
	vertical-align: top; 
	width: 400px; 
	max-height: 100vh; 
	display: inline-block;
	padding: 1.5rem;
	z-index: 5;
}
#sidebar-configurator.show-title { padding-top: 4rem; }

#pack-editor2d-container {
	display: none;
	position: relative;
	width: 50%;
	height: 100vh;
	background-color: white;
	overflow: hidden;
}

#element-configurator { 
	position: relative;
	width: 100%; 
	height: 100vh; 
	background-color: #e6e6e6; 
	display: inline-block;
}

#element-configurator.editor2d {
	width: 50%;
}

#pack-configurator-menu hr {
	border-top: 1px solid #656565;
}

#pack-configurator-mat-menu .selected-material {
	box-shadow: 0 0 0 0.35rem #656565;
}

#pack-configurator-summary {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 10;
}

@keyframes changewidth {
  from { transform: translate(-10%); }
  to { transform: translate(10%); }
}

.mat-sphere { width: 5rem; }

.your-logo-here {
	bottom: 0; 
	left: 0; 
	font-size: 1.2rem;
	font-weight: bold;
	line-height: 1.5rem; 
	width: 7rem; 
	height: 7rem;
	position: absolute;
	padding-top: 1.2rem;
}

#drag-to-interact {
	text-align: center;
    width: 100%;
    height: 10%;
    position: absolute;
    bottom: 45%;
    left: 0px;
    z-index: 2;
    animation-duration: 2.0s;
    animation-name: changewidth;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;

    color: white;
    text-shadow: 0 0 10px #505050;
}

#drag-to-interact div { 
	font-size: 1.5rem;
	font-weight: 300;
	line-height: 1.5rem;
}

#pack-configurator-artwork-btn span {
	pointer-events: none;
    font-family: Montserrat;
    /*font-size: 1rem;*/
}

#product-title {
    z-index: 1;
    position: absolute;
    top: 0;
    font-size: 1.5rem;
    font-weight: 800;
    padding: 1.6rem;
    line-height: 1;
}

#bg-3d {
	position: absolute;
    left: 0;
    width: 20%;
    padding-bottom: 20%;
    bottom: 0;
    margin: 1.5rem;
    pointer-events: none;
    max-width: 15rem;
}

.match-toggle { pointer-events: all; cursor: pointer; display: inline-block;}
.match-toggle i { font-size: 2rem; margin-right: 1rem; pointer-events: none;}
.match-toggle span { font-size: 1.5rem; position: relative; bottom: 0.15rem; text-transform: uppercase; pointer-events: none;}
.match-option { pointer-events: all; text-align: center; background-color: #eeeeee; padding: 1rem; cursor: pointer; overflow: hidden; position: relative;}
.match-option div { pointer-events: none; overflow: hidden; }
.match-option.selected-option { box-shadow: 0 0 0 0.35rem #656565}

.part { margin-top: 0.5rem; }
.part-toggle { pointer-events: all; font-weight: 300; cursor: pointer; display: inline-block; position: relative; padding-right: 1.3rem; line-height: 1.3rem;}
.part-toggle i.fa-caret-right, .part-toggle i.fa-caret-down { font-size: 1.5rem; margin-right: 0.5rem; pointer-events: none; position: relative;
    bottom: 0.25rem;}
.part-toggle span { font-size: 1.2rem; position: relative; bottom: 0.15rem; pointer-events: none; }
.part-toggle.part-selected { font-weight: 800; color: #656565; }

.match .part-toggle span { font-size: 1.25rem }
.match .part-toggle.part-selected {font-weight: 600}
.match .part-toggle i.fa-caret-right, .part-toggle i.fa-caret-down {bottom: 0.12rem; font-size: 1.25}

#match-parts {
	padding-top: 1rem;
	padding-left: 2rem;
}
.match-container-item { pointer-events: all; text-align: center; background-color: #eeeeee; padding: 1rem 0.5rem; position: relative;}
.match-container-item div {overflow: hidden;}
.remove-icon { position: absolute; top: 5px; right: 5px; cursor: pointer;}
.remove-icon:hover { color: red; }

.part-mat-title {
	position: relative;
    top: -0.5rem;
}

/* material template presets */
.temp-mat-thumb {
    pointer-events: none;
    padding-bottom: 100%;
    border-radius: 50%;
    box-shadow: #656565 5px 5px 10px;
}
.temp-mat-title {
	font-size: 0.95rem;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    pointer-events: none;
}
.temp-mat-remove {
    position: absolute;
    right: 10px;
    top: -5px;
}

.pickr { display: inline-block; }

.pickr .pcr-button {
	width: 4rem;
	height: 4rem; 
	outline: none;
	pointer-events: all;
	border-radius: 2rem;
}

.pickr button:focus { box-shadow: none;}

.pickr .pcr-button:before, .pickr .pcr-button:after {
	background-image: none;
	border-radius: 2rem;
}

/*.pickr .pcr-button:after { border: 2px solid #656565; }*/

/*Products page*/
.img-overlay {
	position: absolute; 
	top: 0; 
	left: 0; 
	right: 0;
	bottom: 0;
	background-color: #65656500; 
	transition: all 0.4s ease;
	font-size: 0;
}

.img-overlay:hover {
	position: absolute; 
	top: 0; 
	left: 0; 
	right: 0;
	bottom: 0;
	background-color: #65656565; 
	transition: all 0.4s ease;
	color: white;
	font-size: 4rem;
}

/*Footer*/
footer {
	width: 100%;
	position: absolute;
	bottom: 0;
}

footer .instapack3d {
	position: relative;
	border-radius: 50px;
    padding: 0 10px;
    display: inline-block;
    border: 2px solid white;
    font-size: 1.5rem;
    margin-bottom: 1.5rem;
}

footer .instapack3d .powered {
	position: absolute;
	width: 100%;
	font-size: 0.8rem;
	text-align: right;
	left: 0;
	bottom:-1.5rem;
	padding-right: 10px;
}

/*Notice modal*/
#notice-modal {
	display: none;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 90%;
	z-index: 99999;
}

#notice-modal .fa-times {
	position: absolute; 
	right: 1rem;
	top: 1rem;
}

/*Session Modal*/
#session-modal {
	z-index: 99999;
	display: none;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 90%;
}

/*Action Modal*/
#action-modal {
	z-index: 99999;
	position: fixed;
	display: none;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

#action-modal-modal {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 90%;
	font-size: 0;
}

/*Leads*/
#pack-leads .row:nth-child(2n+3) {
	background-color: #dfdfdf;
}

#leads-modal-bg {
	position: fixed;
	display: flex;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 9;
	background-color: #000000aa;
}

#leads-modal-container {
	width: 80vw; 
	height: 80vh; 
	background-color: white;
	overflow-y: auto;
}

#img-handler {
	position: fixed;
	display: none;
    z-index: 9;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: #000000aa;
}

#img-handler img { max-width: 90vw; max-height: 80vh;}
#img-handler div { background-color: white; }

/*Media queries*/
@media (max-width: 992px) {
	html, body {
		font-size: 16px
	}
}

@media (max-width: 768px) {
	html, body {
		font-size: 12px
	}

	#sidebar-configurator {
		width: 220px;
	}
}

@media (max-width: 576px) and (orientation:portrait){
	#sidebar-configurator {
		overflow-y: auto; 
		font-size: 1rem; 
		vertical-align: top; 
		width: 100%; 
		height: 50vh; 
		display: inline-block;
		padding: 1.5rem;
		position: fixed;
		top: 50%;
	}

	#sidebar-configurator.show-title { padding-top: 1.5rem; }

	#pack-editor2d-container {
		width: 100%; 
		height: 50vh; 
		position: fixed;
		top: 50%;
	}

	#element-configurator { 
		position: relative;
		width: 100%; 
		height: 50vh;  
		display: inline-block;
		position: fixed;
		top: 0%;
	}

	#element-configurator.editor2d {
		width: 100%;
	}
}

@media (max-width: 576px) and (orientation:landscape){
	html, body {
		font-size: 10px
	}
}